/*
 * GMX Tiled Plugin
 * Copyright 2016, Jones Blunt <mrjonesblunt@gmail.com>
 *
 * This file is part of Tiled.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GMXPLUGIN_H
#define GMXPLUGIN_H

#include "mapformat.h"

#include "gmx_global.h"

namespace Gmx {

class GMXSHARED_EXPORT GmxPlugin : public Tiled::WritableMapFormat
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "org.mapeditor.MapFormat" FILE "plugin.json")

public:
    GmxPlugin();

    bool write(const Tiled::Map *map, const QString &fileName) override;
    QString errorString() const override;

protected:
    QString nameFilter() const override;

private:
    QString mError;
};

} // namespace Gmx

#endif // GMXPLUGIN_H
