/*
 * texteditordialog.h
 * Copyright 2016, Thorbjørn Lindeijer <bjorn@lindeijer.nl>
 *
 * This file is part of Tiled.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TILED_INTERNAL_TEXTEDITORDIALOG_H
#define TILED_INTERNAL_TEXTEDITORDIALOG_H

#include <QDialog>

namespace Ui {
class TextEditorDialog;
}

namespace Tiled {
namespace Internal {

class TextEditorDialog : public QDialog
{
    Q_OBJECT

public:
    explicit TextEditorDialog(QWidget *parent = nullptr);
    ~TextEditorDialog();

    void setText(const QString &text);
    QString text() const;

protected:
    void changeEvent(QEvent *e);

private:
    Ui::TextEditorDialog *mUi;
};

} // namespace Internal
} // namespace Tiled

#endif // TILED_INTERNAL_TEXTEDITORDIALOG_H
